/**
 * NCPAuthKeyType
 * @memberof NCPClient
 * @alias NCPAuthKeyType
 */
export declare type NCPAuthKeyType = {
    accessKey: string;
    secretKey: string;
};
/**
 * SMSserviceAuthType
 * @memberof SMS
 * @alias SMSserviceAuthType
 */
export declare type SMSserviceAuthType = {
    phone: string;
    serviceId: string;
};
/**
 * ApiSignatureParamType
 * @memberof SMS
 * @alias ApiSignatureParamType
 */
export declare type ApiSignatureParamType = {
    method: string;
    url: string;
    ncpAuthKey: NCPAuthKeyType;
};
/**
 * ApiSignatureReturnType
 * @memberof SMS
 * @alias ApiSignatureReturnType
 */
export declare type ApiSignatureReturnType = {
    timestamp: string;
    signature: string;
};
/**
 * SendSMSParamType
 * @memberof SMS
 * @alias SendSMSParamType
 */
export declare type SendSMSParamType = {
    to: string;
    content: string;
    countryCode?: string;
};
/**
 * SendSMSReturnType
 * @memberof SMS
 * @alias SendSMSReturnType
 */
export declare type SendSMSReturnType = {
    isSuccess: boolean;
    status: number;
    statusText: string;
    header?: {};
    data?: {};
};
